Bug 182698 - gnome-wm documentation does not correspond to reality
gnome-wm documentation does not correspond to reality
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2006-02-23 22:16 EST by Michal Jaegermann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-24 00:41:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2006-02-23 22:16:30 EST
Description of problem:

'man gnome-wm' claims:

       The user can overwrite the selection of a window manager by setting the
       WINDOW_MANAGER environment variable

and later 

       The  program  stores  the  current selection of a window manager in the
       gconf key /desktop/gnome/applications/window_manager/default

It is far from clear where WINDOW_MANAGER is supposed to be set as
gnome-session seems to totally ignore user shell startup files.  Changing
value of /desktop/gnome/applications/window_manager/default also does
not have any effect.  So what is a non-hacky way of substuting another
window manager and where it is documented?

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 Matthias Clasen 2006-02-24 00:40:46 EST
Filed upstream:

The recommended way to switch to a different window manager is 
to run

other-window-manager --replace

provided the other-window-manager supports session management and has
a --replace argument to replace the running window manager.
Comment 2 Michal Jaegermann 2006-02-24 12:03:52 EST
> The recommended way to switch ...

The question was about a non-hacky and documented way to do the job.  I know
also other ways.  For example, by replacing gnome-wm by other script with the
same name but earlier in $PATH.

With the current state of things suggested commands require an open terminal
window (or at least a "mini-command" applet) and gnome-session-save will
make that terminal in a session client - which may be not desired.
Comment 3 Michal Jaegermann 2006-02-24 14:23:14 EST
As a matter of fact if processing shell startup files does work like it should
(see bug 177258 and the current discussion there) then setting WINDOW_MANAGER
environment variable acts as advertised.

Note You need to log in before you can comment on or make changes to this bug.